/*******************************************************************************/
/*					             PROPOX                                        */
/*                           www.propox.com                                    */
/*                                                                             */
/* Program demonsturjacy dzialanie zegara RTC.                                 */
/* This program show how to use RTC clock with ATmega 128 microcontroller. */
/*******************************************************************************/
// wewnetrzny zegar 1MHz (internal oscillator 1MHz)
// LCD
// PA0 - R/S
// PA1 - E
// PA2 - D4
// PA3 - D5
// PA4 - D6
// PA5 - D7
// RTC
// PD0 - SCL
// PD1 - SDA

#include <avr/io.h>
#include <string.h>  

#include "char_code.h"
#include "LCD_lib.h"
#include "twi.h"
#include "rtc_lib.h"

uint8_t  company[] = "PROPOX";


int main(void)
{
LCDinit();
LCDcursorOFF();

LCDGotoXY(0,0);
LCDstring(company,6);
LCDGotoXY(8,0);

rtc_init();
rtc_control_reg(0,0x01,0,0);
rtc_set_time(0x00,0x07,0x16,0x00,0x00);
rtc_set_date(Saturday,0x10,0x11,0x07);


	while(1)
	{
	rtc_get_date();
	LCDGotoXY(0,1);
	rtc_get_time(1);
	LCDGotoXY(13,1);
	rtc_get_day();
	LCDGotoXY(8,0);
	}
	
return 0;
}
