#include <inttypes.h>

#define Dev_Addr		0xD0

#define Seconds_Addr	0x00
#define Minutes_Addr	0x01
#define Hours_Addr		0x02
#define Day_Addr		0x03
#define Date_Addr		0x04
#define Month_Addr		0x05
#define Year_Addr		0x06
#define Control_Addr	0x07

//Day
#define Monday			0x01
#define Tuesday			0x02
#define Wednesday		0x03
#define Thursday		0x04
#define Friday			0x05
#define Saturday		0x06
#define Sunday			0x07


void rtc_init(void);
void set_reg_pointer(uint8_t);
void rtc_control_reg(uint8_t,uint8_t,uint8_t,uint8_t);
void rtc_set_time(uint8_t, uint8_t, uint8_t, uint8_t, uint8_t);
void rtc_set_date(uint8_t, uint8_t, uint8_t, uint8_t);
void rtc_get_time(uint8_t);
void rtc_get_day(void);
void rtc_get_date(void);
