/*******************************************************************************/
/*					             PROPOX                                        */
/*                           www.propox.com                                    */
/*                                                                             */
/* Program demonsturjacy dzialanie wywietlacza GLCD 128x64 - T6963C.          */
/* This program show how to use GLCD 128x64 with atmega microcontrollers       */
/*******************************************************************************/
// wewnetrzny zegar 1MHz (internal oscillator 1MHz)
// PA0:7 - Data[0:7] 
// PC0 - CE
// PC1 - CD
// PC2 - WR
// PC3 - RD
// PC4 - RESET
// PC5 - FS

#include <avr/io.h>
#include <avr/pgmspace.h>
#include "T6963C.h"
#include "graphic.h"
#include "logo.h"


int main(void)
{
GLCD_InitalizeInterface();
GLCD_Initalize(); 				    // Initalize LCD
GLCD_ClearText(); 				    // Clear text area
GLCD_ClearCG(); 				    // Clear character generator area
GLCD_ClearGraphic(); 			    // Clear graphic area

GLCD_TextGoTo(5,1);					// set text coordinates
GLCD_WriteString("PROPOX"); 		// write text
GLCD_TextGoTo(1,2);					
GLCD_WriteString("ul.Tuchomska 2"); 
GLCD_TextGoTo(1,3);					
GLCD_WriteString("84-208  Kielno");
GLCD_TextGoTo(1,4);
GLCD_WriteString("www.propox.com");

GLCD_Bitmap(logo,0,34,128,32);		// write bitmap

while(1)
	{
		asm volatile ("nop");
	}

return 0;
}
